ClusterManagementRealizationException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.api, class: ClusterManagementRealizationException

Package org.apache.geode.management.api

# Class ClusterManagementRealizationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.management.api.ClusterManagementException
org.apache.geode.management.api.ClusterManagementRealizationException

All Implemented Interfaces:
  `Serializable`

public class ClusterManagementRealizationException extends ClusterManagementException
Thrown by `ClusterManagementService.create(AbstractConfiguration)`, update, and delete operations which have a possibility of "partial" failure.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusterManagementRealizationException(ClusterManagementRealizationResult result)`
  for internal use only

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<RealizationResult>`
  `getMemberStatuses()`
  A `ClusterManagementService.create(AbstractConfiguration)` operation may fail on all members or only some.

  ### Methods inherited from class org.apache.geode.management.api.ClusterManagementException

  `getResult, getStatusCode, getStatusMessage`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClusterManagementRealizationException

    public ClusterManagementRealizationException(ClusterManagementRealizationResult result)
    for internal use only
    Parameters:
      `result` - the `ClusterManagementRealizationResult` to set

- ## Method Details

  - ### getMemberStatuses

    public List<RealizationResult> getMemberStatuses()
    A `ClusterManagementService.create(AbstractConfiguration)` operation may fail on all members or only some. This will return the per-member status.
    Returns:
      a list of `RealizationResult`s